cordova-plugin-fcm ある時から Build faild

cordova-plugin-badge
cordova-plugin-device
cordova-plugin-dialogs
cordova-plugin-geolocation

などはすんなりBuildできるのに、
cordova-plugin-fcm
を追加するとBuildが通らない。

Could not find any matches for com.android.tools.build:gradle:+ as no versions of com.android.tools.build:gradle are available.
のようなエラーが表示される。

platform を作り直す。
platform のバージョンを変える。
cordova のバージョンを上げる。
6時間くらい試行錯誤したが、昨日まで通っていたのに、原因不明。

gradle での class が正しくないような感じなのだが、しばらくPCから離れて
思い付いたことは・・・別の plugin にすること。

cordova-plugin-firebase に変更。
こちらは、すんなりと使えた。
どちらも MITライセンスようだし。
理想の解決せず。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です